You are not logged in.

#1 2013-02-10 00:49:52

Registered: 2013-02-10
Posts: 5

[SOLVED] Problem upgrading - invalid or corrupted package

Sorry for creating this post, I did look everywhere for a solution but not the ArchWiki, I finally solved the problem with this:

Q: I keep getting a "failed to commit transaction (invalid or corrupted package)" error

A: Look for *.part files (partially downloaded packages) in /var/cache/pacman/pkg and remove them (often caused by usage of custom XferCommand in pacman.conf).

I'm sorry for doing this useless thread (I don't see the delete thread option), thanks.

Last edited by gastong34 (2013-02-25 17:27:57)


Board footer

Powered by FluxBB